﻿//------------------------------------------------------------------------------
// <auto-generated>
//    This code was generated from a template.
//
//    Manual changes to this file may cause unexpected behavior in your application.
//    Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace ALS.ALSI.Biz.DataAccess
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class ALSIEntities : DbContext
    {
        public ALSIEntities()
            : base("name=ALSIEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public DbSet<job_info> job_info { get; set; }
        public DbSet<job_reiew_requistion> job_reiew_requistion { get; set; }
        public DbSet<job_running> job_running { get; set; }
        public DbSet<job_sample> job_sample { get; set; }
        public DbSet<job_sample_logs> job_sample_logs { get; set; }
        public DbSet<m_completion_scheduled> m_completion_scheduled { get; set; }
        public DbSet<m_customer> m_customer { get; set; }
        public DbSet<m_customer_contract_person> m_customer_contract_person { get; set; }
        public DbSet<m_role> m_role { get; set; }
        public DbSet<m_role_permission> m_role_permission { get; set; }
        public DbSet<m_specification> m_specification { get; set; }
        public DbSet<m_status> m_status { get; set; }
        public DbSet<m_status_group> m_status_group { get; set; }
        public DbSet<m_template> m_template { get; set; }
        public DbSet<m_title> m_title { get; set; }
        public DbSet<m_type_of_test> m_type_of_test { get; set; }
        public DbSet<tb_cas> tb_cas { get; set; }
        public DbSet<tb_component_hpa_for1> tb_component_hpa_for1 { get; set; }
        public DbSet<tb_component_hpa_for3> tb_component_hpa_for3 { get; set; }
        public DbSet<tb_component_lpc> tb_component_lpc { get; set; }
        public DbSet<tb_detailspec_hpa_for1> tb_detailspec_hpa_for1 { get; set; }
        public DbSet<tb_detailspec_hpa_for3> tb_detailspec_hpa_for3 { get; set; }
        public DbSet<tb_m_detail_spec_lpc> tb_m_detail_spec_lpc { get; set; }
        public DbSet<tb_m_ftir_specification> tb_m_ftir_specification { get; set; }
        public DbSet<tb_m_hpa_specification> tb_m_hpa_specification { get; set; }
        public DbSet<tb_m_ic_specification> tb_m_ic_specification { get; set; }
        public DbSet<tb_m_library> tb_m_library { get; set; }
        public DbSet<template_16_component> template_16_component { get; set; }
        public DbSet<template_16_coverpage> template_16_coverpage { get; set; }
        public DbSet<template_16_detail_spec> template_16_detail_spec { get; set; }
        public DbSet<template_42_coverpage> template_42_coverpage { get; set; }
        public DbSet<template_42_detail_spec> template_42_detail_spec { get; set; }
        public DbSet<template_seagate_hpa_coverpage> template_seagate_hpa_coverpage { get; set; }
        public DbSet<template_seagate_ic_coverpage> template_seagate_ic_coverpage { get; set; }
        public DbSet<template_seagate_lpc_coverpage> template_seagate_lpc_coverpage { get; set; }
        public DbSet<template_wd_hpa_for1_coverpage> template_wd_hpa_for1_coverpage { get; set; }
        public DbSet<template_wd_hpa_for3_coverpage> template_wd_hpa_for3_coverpage { get; set; }
        public DbSet<template_wd_ic_coverpage> template_wd_ic_coverpage { get; set; }
        public DbSet<template_wd_lpc_coverpage> template_wd_lpc_coverpage { get; set; }
        public DbSet<user_login> user_login { get; set; }
    }
}
